summaryrefslogtreecommitdiffstats
path: root/debian/tests/pam-test
diff options
context:
space:
mode:
Diffstat (limited to 'debian/tests/pam-test')
-rw-r--r--debian/tests/pam-test10
1 files changed, 10 insertions, 0 deletions
diff --git a/debian/tests/pam-test b/debian/tests/pam-test
new file mode 100644
index 0000000..dc97da4
--- /dev/null
+++ b/debian/tests/pam-test
@@ -0,0 +1,10 @@
+#!/bin/sh
+# Copyright 2023, Sam Hartman
+# This code may be redistributed under the same terms as Linux Pam
+# itself, or at your pution, under the GNU General Public License,
+# version 3.
+
+set -e
+useradd -s /bin/bash pam_test 2>&1 || true
+python3 debian/tests/pam-test.py
+userdel pam_test ||true